PCI
Implementation internals » Bus scanning code

PCI bus scan functions. More...

## Macros

#define | IORESOURCE_BITS 0x000000ff
#define | IORESOURCE_IO 0x00000100
#define | IORESOURCE_MEM 0x00000200
#define | IORESOURCE_IRQ 0x00000400
#define | IORESOURCE_DMA 0x00000800
#define | IORESOURCE_PREFETCH 0x00001000
#define | IORESOURCE_READONLY 0x00002000
#define | IORESOURCE_CACHEABLE 0x00004000
#define | IORESOURCE_DISABLED 0x10000000

## Functions

static void | add_pci_data (hd_data_t *hd_data)
static pci_t * | add_pci_entry (hd_data_t *hd_data, pci_t *new_pci)
static unsigned char | pci_cfg_byte (pci_t *pci, int fd, unsigned idx)
static void | dump_pci_data (hd_data_t *hd_data)
static void | hd_read_macio (hd_data_t *hd_data)
static void | hd_read_vio (hd_data_t *hd_data)
static void | hd_read_xen (hd_data_t *hd_data)
static void | hd_read_ps3_system_bus (hd_data_t *hd_data)
static void | hd_read_vm (hd_data_t *hd_data)
static void | add_mv643xx_eth (hd_data_t *hd_data, char *entry, char *platform_type)
static void | hd_read_platform (hd_data_t *hd_data)
static void | hd_read_of_platform (hd_data_t *hd_data)
static void | add_xen_network (hd_data_t *hd_data)
static void | add_xen_storage (hd_data_t *hd_data)
static void | hd_read_virtio (hd_data_t *hd_data)
static void | hd_read_uisvirtpci (hd_data_t *hd_data)
static void | hd_read_ibmebus (hd_data_t *hd_data)
static void | add_edid_from_file (const char *file, pci_t *pci, int index, hd_data_t *hd_data)
static void | hd_read_mmc (hd_data_t *hd_data)
static void | hd_read_sdio (hd_data_t *hd_data)
static void | hd_read_nd (hd_data_t *hd_data)
static void | hd_read_visorbus (hd_data_t *hd_data)
static void | hd_read_mdio (hd_data_t *hd_data)
void | hd_scan_sysfs_pci (hd_data_t *hd_data)
void | hd_pci_read_data (hd_data_t *hd_data)
void | hd_pci_complete_data (hd_t *hd)

## Detailed Description

PCI bus scan functions.

## Macro Definition Documentation

## IORESOURCE_BITS

#define IORESOURCE_BITS 0x000000ff

## IORESOURCE_CACHEABLE

#define IORESOURCE_CACHEABLE 0x00004000

## IORESOURCE_DISABLED

#define IORESOURCE_DISABLED 0x10000000

Referenced by hd_pci_complete_data(), and hd_pci_read_data().

## IORESOURCE_DMA

#define IORESOURCE_DMA 0x00000800

## IORESOURCE_IO

#define IORESOURCE_IO 0x00000100

Referenced by hd_pci_complete_data(), and hd_pci_read_data().

## IORESOURCE_IRQ

#define IORESOURCE_IRQ 0x00000400

## IORESOURCE_MEM

#define IORESOURCE_MEM 0x00000200

Referenced by hd_pci_complete_data(), and hd_pci_read_data().

## IORESOURCE_PREFETCH

#define IORESOURCE_PREFETCH 0x00001000

Referenced by hd_pci_complete_data().

## IORESOURCE_READONLY

#define IORESOURCE_READONLY 0x00002000

Referenced by hd_pci_complete_data().

## Function Documentation

## add_edid_from_file()

void add_edid_from_file | ( | const char * | file,
|  | pci_t * | pci,
|  | int | index,
|  | hd_data_t * | hd_data )

static

References ADD2LOG, s_pci_t::edid_data, s_pci_t::edid_len, hd_data, and hd_log_hex().

Referenced by hd_pci_read_data().

## add_mv643xx_eth()

void add_mv643xx_eth | ( | hd_data_t * | hd_data,
|  | char * | entry,
|  | char * | platform_type )

static

References ADD2LOG, add_hd_entry(), s_hd_t::base_class, bc_network, s_hd_t::device, free_mem(), hd_data, hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, new_str(), str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, and s_hd_t::vendor.

Referenced by hd_read_platform().

## add_pci_data()

void add_pci_data | ( | hd_data_t * | hd_data | ) |

static

References add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, s_hd_t::bus, bus_pci, hd_detail_pci_t::data, s_hd_t::detail, s_hd_t::device, device_class, s_hd_t::drivers, free_mem(), free_str_list(), hd_data, hd_detail_pci, hd_find_sysfs_id(), hd_pci_complete_data(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, s_hd_t::idx, new_mem(), new_str(), s_hd_t::next, s_pci_t::next, s_str_list_t::next, hd_detail_t::pci, PROGRESS, read_dir(), s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, s_pci_t::sysfs_id, hd_detail_t::type, s_hd_t::unix_dev_name, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## add_pci_entry()

pci_t * add_pci_entry | ( | hd_data_t * | hd_data,
|  | pci_t * | new_pci )

static

References hd_data, and s_pci_t::next.

Referenced by hd_pci_read_data().

## add_xen_network()

void add_xen_network | ( | hd_data_t * | hd_data | ) |

static

References add_hd_entry(), s_hd_t::base_class, bc_network, s_hd_t::device, hd_data, hd_id_t::id, MAKE_ID, hd_id_t::name, new_str(), s_hd_t::sub_class, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_read_xen().

## add_xen_storage()

void add_xen_storage | ( | hd_data_t * | hd_data | ) |

static

References add_hd_entry(), s_hd_t::base_class, bc_storage, s_hd_t::device, hd_data, hd_id_t::id, MAKE_ID, hd_id_t::name, new_str(), sc_sto_other, s_hd_t::sub_class, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_read_xen().

## dump_pci_data()

void dump_pci_data | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, s_pci_t::base_addr, s_pci_t::base_class, s_pci_t::base_len, s_pci_t::bus, s_pci_t::data, s_pci_t::data_ext_len, s_pci_t::dev, s_pci_t::flags, free_mem(), s_pci_t::func, hd_data, hd_log_hex(), s_pci_t::hdr_type, s_pci_t::irq, s_pci_t::log, s_pci_t::next, pci_flag_agp, pci_flag_ok, pci_flag_pm, s_pci_t::prog_if, s_pci_t::rev, s_pci_t::rom_base_addr, s_pci_t::secondary_bus, s_pci_t::slot, str_printf(), s_pci_t::sub_class, s_pci_t::sub_dev, s_pci_t::sub_vend, and s_pci_t::vend.

Referenced by hd_scan_sysfs_pci().

## hd_pci_complete_data()

void hd_pci_complete_data | ( | hd_t * | hd | ) |

References acc_ro, acc_rw, res_io_t::access, res_mem_t::access, add_res_entry(), s_pci_t::addr_flags, s_hd_t::is_s::agp, res_io_t::base, res_irq_t::base, res_mem_t::base, s_pci_t::base_addr, s_hd_t::base_class, s_pci_t::base_class, s_pci_t::base_len, bc_display, bc_none, s_hd_t::bus, s_pci_t::bus, bus_pci, hd_detail_pci_t::data, s_hd_t::detail, s_pci_t::dev, s_hd_t::device, res_io_t::enabled, res_irq_t::enabled, res_mem_t::enabled, flag_no, flag_yes, s_pci_t::flags, s_hd_t::func, s_pci_t::func, hd_detail_pci, hd_id_t::id, u_hd_res_t::io, IORESOURCE_DISABLED, IORESOURCE_IO, IORESOURCE_MEM, IORESOURCE_PREFETCH, IORESOURCE_READONLY, s_pci_t::irq, u_hd_res_t::irq, s_hd_t::is, s_hd_t::label, s_pci_t::label, MAKE_ID, u_hd_res_t::mem, s_hd_t::modalias, s_pci_t::modalias, new_mem(), hd_detail_t::pci, pci_flag_agp, res_mem_t::prefetch, s_hd_t::prog_if, s_pci_t::prog_if, res_io_t::range, res_mem_t::range, s_hd_t::res, res_io, res_irq, res_mem, s_pci_t::rev, s_hd_t::revision, sc_dis_vga, s_hd_t::slot, s_pci_t::slot, s_hd_t::sub_class, s_pci_t::sub_class, s_pci_t::sub_dev, s_hd_t::sub_device, s_pci_t::sub_vend, s_hd_t::sub_vendor, s_hd_t::sysfs_bus_id, s_pci_t::sysfs_bus_id, TAG_PCI, hd_detail_t::type, res_io_t::type, res_irq_t::type, res_mem_t::type, s_pci_t::vend, and s_hd_t::vendor.

Referenced by add_pci(), and add_pci_data().

## hd_pci_read_data()

void hd_pci_read_data | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, add_edid_from_file(), add_pci_entry(), s_pci_t::addr_flags, s_pci_t::base_addr, s_pci_t::base_class, s_pci_t::base_len, s_pci_t::bus, canon_str(), s_pci_t::cmd, s_pci_t::data, s_pci_t::data_ext_len, s_pci_t::data_len, s_pci_t::dev, s_pci_t::edid_len, s_pci_t::flags, free_mem(), free_str_list(), s_pci_t::func, get_sysfs_attr_by_path(), hd_attr_list(), hd_attr_uint(), hd_data, hd_read_sysfs_link(), hd_sysfs_id(), s_pci_t::hdr_type, IORESOURCE_DISABLED, IORESOURCE_IO, IORESOURCE_MEM, s_pci_t::irq, s_pci_t::label, s_pci_t::modalias, new_mem(), new_str(), s_str_list_t::next, pci_cfg_byte(), pci_flag_agp, pci_flag_ok, pci_flag_pm, s_pci_t::prog_if, read_dir(), s_pci_t::rev, s_pci_t::secondary_bus, s_pci_t::slot, s_str_list_t::str, str_printf(), s_pci_t::sub_class, s_pci_t::sub_dev, s_pci_t::sub_vend, s_pci_t::sysfs_bus_id, s_pci_t::sysfs_id, and s_pci_t::vend.

Referenced by hd_scan_hal(), and hd_scan_sysfs_pci().

## hd_read_ibmebus()

void hd_read_ibmebus | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_network, bc_none, s_hd_t::bus, bus_ibmebus, canon_str(), s_hd_t::compat_device, s_hd_t::compat_vendor, s_hd_t::device, s_hd_t::drivers, free_mem(), get_sysfs_attr_by_path(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_macio()

void hd_read_macio | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_storage, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_find_sysfs_id(), hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, s_hd_t::idx, s_hd_t::is, s_hd_t::modalias, new_str(), s_str_list_t::next, read_dir(), sc_sto_scsi, s_str_list_t::str, s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, s_hd_t::vendor, and s_hd_t::is_s::wlan.

Referenced by hd_scan_sysfs_pci().

## hd_read_mdio()

void hd_read_mdio | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_network, s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, and s_hd_t::unix_dev_name.

Referenced by hd_scan_sysfs_pci().

## hd_read_mmc()

void hd_read_mmc | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_mmc_ctrl, s_hd_t::bus, bus_mmc, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_nd()

void hd_read_nd | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_storage, s_hd_t::bus, bus_nd, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_find_sysfs_id(), hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, s_hd_t::idx, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), sc_sto_other, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, and s_hd_t::sysfs_id.

Referenced by hd_scan_sysfs_pci().

## hd_read_of_platform()

void hd_read_of_platform | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_multimedia, bc_network, bc_serial, bc_storage, s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, pif_usb_ohci, s_hd_t::prog_if, read_dir(), sc_multi_audio, sc_ser_usb, sc_sto_ide, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_platform()

void hd_read_platform | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_mv643xx_eth(), add_str_list(), s_hd_t::base_class, bc_network, bc_serial, bc_storage, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), has_subcomponent(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, pif_usb_ehci, pif_usb_xhci, s_hd_t::prog_if, read_dir(), read_dir_canonical(), sc_ser_usb, sc_sto_ide, sc_sto_other, sc_sto_scsi, s_str_list_t::str, str_printf(), s_hd_t::sub_class, subcomponent_list(), s_hd_t::sysfs_bus_id, and s_hd_t::sysfs_id.

Referenced by hd_scan_sysfs_pci().

## hd_read_ps3_system_bus()

void hd_read_ps3_system_bus | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_multimedia, bc_network, bc_storage, s_hd_t::bus, bus_ps3_system_bus, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), sc_multi_audio, sc_sto_other, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, TAG_SPECIAL, s_hd_t::unix_dev_name, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_sdio()

void hd_read_sdio | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_network, s_hd_t::bus, bus_sdio, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_find_sysfs_id(), hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::modalias, new_str(), s_str_list_t::next, read_dir(), sc_nif_other, s_str_list_t::str, s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SDIO, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_uisvirtpci()

void hd_read_uisvirtpci | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_bridge, bc_network, bc_other, bc_storage, s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, new_str(), s_str_list_t::next, read_dir(), s_str_list_t::str, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_vio()

void hd_read_vio | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_network, bc_storage, s_hd_t::bus, bus_vio, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_hd_t::rom_id, sc_sto_other, sc_sto_scsi, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_virtio()

void hd_read_virtio | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_network, bc_storage, s_hd_t::bus, bus_virtio, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_find_sysfs_id(), hd_read_sysfs_link(), hd_sysfs_id(), s_hd_t::hw_class, hw_unknown, hd_id_t::id, s_hd_t::idx, MAKE_ID, s_hd_t::modalias, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), sc_sto_other, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_visorbus()

void hd_read_visorbus | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_bridge, bc_network, bc_other, bc_storage, s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_attr_uint(), hd_data, hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, new_str(), s_str_list_t::next, read_dir(), s_str_list_t::str, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_PCI, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_vm()

void hd_read_vm | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), s_hd_t::base_class, bc_network, bc_storage, s_hd_t::bus, bus_none, s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), hd_data, hd_read_sysfs_link(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), sc_sto_other, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_read_xen()

void hd_read_xen | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, add_hd_entry(), add_str_list(), add_xen_network(), add_xen_storage(), s_hd_t::base_class, bc_network, bc_storage, s_hd_t::bus, bus_none, canon_str(), s_hd_t::device, s_hd_t::drivers, free_mem(), free_str_list(), get_sysfs_attr_by_path(), hd_data, hd_is_xen(), hd_module_is_active(), hd_read_sysfs_link(), hd_sysfs_find_driver(), hd_sysfs_id(), hd_id_t::id, MAKE_ID, module, hd_id_t::name, new_str(), s_str_list_t::next, read_dir(), s_hd_t::rom_id, sc_sto_other, s_hd_t::slot, s_str_list_t::str, str_printf(), s_hd_t::sub_class, s_hd_t::sysfs_bus_id, s_hd_t::sysfs_id, TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_sysfs_pci().

## hd_scan_sysfs_pci()

void hd_scan_sysfs_pci | ( | hd_data_t * | hd_data | ) |

References add_pci_data(), dump_pci_data(), hd_data, hd_pci_read_data(), hd_probe_feature(), hd_read_ibmebus(), hd_read_macio(), hd_read_mdio(), hd_read_mmc(), hd_read_nd(), hd_read_of_platform(), hd_read_platform(), hd_read_ps3_system_bus(), hd_read_sdio(), hd_read_uisvirtpci(), hd_read_vio(), hd_read_virtio(), hd_read_visorbus(), hd_read_vm(), hd_read_xen(), hd_sysfs_driver_list(), mod_pci, pr_pci, PROGRESS, and remove_hd_entries().

Referenced by hd_scan_no_hal().

## pci_cfg_byte()

unsigned char pci_cfg_byte | ( | pci_t * | pci,
|  | int | fd,
|  | unsigned | idx )

static

References s_pci_t::data, and s_pci_t::data_ext_len.

Referenced by hd_pci_read_data().